Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.arbaro.export
Class Console

    java.lang.Object
      net.sourceforge.arbaro.export.Console

    public final class Console

extends java.lang.Object

Field Summary
`static int` | `DEBUG`
`static int` | `outputLevel`
`static char` | `progrChr`
`static int` | `QUIET`
`static int` | `REALLY_QUIET`
`static int` | `VERBOSE`

Constructor Summary
`Console()`

Method Summary
`static boolean` | `debug()`
`static void` | `debugOutput(java.lang.String msg)`
`static void` | `errorOutput(java.lang.String msg)`
`static void` | `printException(java.lang.Exception e)`
`static void` | `progressChar()`
`static void` | `progressChar(char c)`
`static void` | `setOutputLevel(int level)`
`static void` | `setProgressChar(char consoleChar)`
`static void` | `verboseOutput(java.lang.String msg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REALLY_QUIET

    public static final int REALLY_QUIET

See Also:
  Constant Field Values

### QUIET

    public static final int QUIET

See Also:
  Constant Field Values

### VERBOSE

    public static final int VERBOSE

See Also:
  Constant Field Values

### DEBUG

    public static final int DEBUG

See Also:
  Constant Field Values

### progrChr

    public static char progrChr

### outputLevel

    public static int outputLevel

Constructor Detail

### Console

    public Console()

Method Detail

### setOutputLevel

    public static void setOutputLevel(int level)

### debug

    public static boolean debug()

### progressChar

    public static void progressChar()

### verboseOutput

    public static void verboseOutput(java.lang.String msg)

### debugOutput

    public static void debugOutput(java.lang.String msg)

### errorOutput

    public static void errorOutput(java.lang.String msg)

### printException

    public static void printException(java.lang.Exception e)

### progressChar

    public static void progressChar(char c)

### setProgressChar

    public static void setProgressChar(char consoleChar)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD